Git with sub-dir projects fails to build maven projects

2014-11-21 12:14 - Norman Köster

Status: Resolved Start date: 2014-11-21

Priority: Normal Due date:  

Assignee: Jan Moringen % Done: 0%

Category: build-generator Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Description

Issue:

I bootstrapped a local Jenkins to deploy the lsp-csrs-nightly distribution locally on a trusty machine. During this I get an error when

building a Maven project which lies in a sub-directory within a git repo (Maven settings are set up as described in the tutorials). A

different job for a python component, which accesses the same git but a different sub-dir, works fine. As far as I can see it, the

project files are all correct. Am I doing something wrong here? Or is this a bug?

Context:

LSP CSRA -- merge of distribution to trusty

Versions:

job configurator:

build-generator version 0.3.37

Jenkis:

/media/local/nkoester/csra-dist/jenkins/java -jar jenkins.war --version

Running from: /media/local/nkoester/csra-dist/jenkins/jenkins.war

webroot: $user.home/.jenkins

1.580.1

Git structure:

git

├── [drwxr-x--- 4.0K]  ltm-core-py/

│   ├── [drwxr-x--x   24]  bin/

│   ├── [drwxr-x---   92]  configuration/

│   ├── [drwxr-x--- 4.0K]  ltmcore/

│   ├── [-rw-r-----  478]  setup.cfg

│   ├── [-rw-r----- 1.6K]  setup.py

│   └── [drwxr-x---   17]  unittesting/

└── [drwxr-xr-x   85]  ltm-motion-visualisation/

    ├── [-rw-r--r-- 3.3K]  pom.xml

    ├── [drwxr-xr-x    6]  repo/

    ├── [drwxr-xr-x   17]  src/

    ├── [drwxr-xr-x 4.0K]  target/

 

py project file:

{
    "name":      "ltm-core",

    "templates": [ "cor-lab", "setuptools" ],

    "catalogue.component.title": "LTM Core",

    "variables": {

        "keywords":                     [ "python" ],

        "repository":                   "https://projects.cit-ec.uni-bielefeld.de/git/ltm.ltm-core",

        "sub-directory":                "ltm-core-py/",

        "branches":                     [ "master" ],

        "extra-provides":               [ [ "setuptools", "pyscxml" ] ]

    }

}

Maven Projcet file:

{

    "name":      "csra-movement-visualisation",

    "templates": [ "cor-lab", "maven" ],

    "catalogue.component.title": "CSRA motion visualisation",

    "catalogue.component.nid":   "0",

    "variables": {

        "keywords":                     [ "java" ],

        "repository":                   "https://projects.cit-ec.uni-bielefeld.de/git/ltm.ltm-core",

        "sub-directory":                "ltm-motion-visualisation/",

        "branches":                     [ "master" ],

        "maven.targets":                [ "appassembler:assemble" ]

    }

}

Error Message in maven build:

Started by upstream project "csra-movement-visualisation-master-toolkit-nightly" build number 6

originally caused by:

 Started by user anonymous

 Started by user anonymous

 Started by user anonymous

Building in workspace

 /media/local/nkoester/csra-dist/jenkins/jobs/csra-movement-visualisation-master-toolkit-nightly/workspace/label/master

Wiping out workspace first.

Cloning the remote Git repository

Cloning repository https://projects.cit-ec.uni-bielefeld.de/git/ltm.ltm-core

 > git init /media/local/nkoester/csra-dist/jenkins/jobs/csra-movement-visualisation-master-toolkit-nightly/workspace/label/master #

 timeout=10

Fetching upstream changes from https://projects.cit-ec.uni-bielefeld.de/git/ltm.ltm-core

 > git --version # timeout=10

 > git fetch --tags --progress https://projects.cit-ec.uni-bielefeld.de/git/ltm.ltm-core +refs/heads/*:refs/remotes/origin/*

 > git config remote.origin.url https://projects.cit-ec.uni-bielefeld.de/git/ltm.ltm-core # timeout=10

 > git config remote.origin.fetch +refs/heads/*:refs/remotes/origin/* # timeout=10

 > git config remote.origin.url https://projects.cit-ec.uni-bielefeld.de/git/ltm.ltm-core # timeout=10

Fetching upstream changes from https://projects.cit-ec.uni-bielefeld.de/git/ltm.ltm-core

 > git fetch --tags --progress https://projects.cit-ec.uni-bielefeld.de/git/ltm.ltm-core +refs/heads/*:refs/remotes/origin/*

Checking out Revision a5090ae67c70844c74cd96249860d866c975729a (origin/master)

 > git config core.sparsecheckout # timeout=10

 > git checkout -f a5090ae67c70844c74cd96249860d866c975729a # timeout=10

 > git branch -a # timeout=10
 > git rev-parse remotes/origin/master^{commit} # timeout=10

 > git checkout -b master a5090ae67c70844c74cd96249860d866c975729a

 > git rev-list a5090ae67c70844c74cd96249860d866c975729a # timeout=10

[master] $ /bin/sh -xe /tmp/hudson3342237162529446950.sh

[master] $ mvn -Dlabel=master -DskipTests=true

 -DaltDeploymentRepository=toolkit::default::file:///media/local/nkoester/vol/csra/releases/nightly/share/repository

 -Dmaven.repo.local=/homes/nkoester/.m2/repo-toolkit-nightly

[INFO] Scanning for projects...

[INFO] ------------------------------------------------------------------------

[INFO] BUILD FAILURE

[INFO] ------------------------------------------------------------------------

[INFO] Total time: 0.143s

[INFO] Finished at: Fri Nov 21 12:00:32 CET 2014

[INFO] Final Memory: 7M/105M

[INFO] ------------------------------------------------------------------------

[ERROR] The goal you specified requires a project to execute but there is no POM in this directory

 (/media/local/nkoester/csra-dist/jenkins/jobs/csra-movement-visualisation-master-toolkit-nightly/workspace/label/master). Please

 verify you invoked Maven from the correct directory. -> [Help 1]

[ERROR]

[ERROR] To see the full stack trace of the errors, re-run Maven with the -e switch.

[ERROR] Re-run Maven using the -X switch to enable full debug logging.

[ERROR]

[ERROR] For more information about the errors and possible solutions, please read the following articles:

[ERROR] [Help 1] http://cwiki.apache.org/confluence/display/MAVEN/MissingProjectException

Build step 'Invoke top-level Maven targets' marked build as failure

Skipping publisher since build result is FAILURE

Finished: FAILURE

Success Message in py build:

Started by upstream project "ltm-core-master-toolkit-nightly" build number 3

originally caused by:

 Started by build flow distribution-buildflow.nightly#2

Building in workspace /media/local/nkoester/csra-dist/jenkins/jobs/ltm-core-master-toolkit-nightly/workspace/label/master

Wiping out workspace first.

Cloning the remote Git repository

Cloning repository https://projects.cit-ec.uni-bielefeld.de/git/ltm.ltm-core

 > git init /media/local/nkoester/csra-dist/jenkins/jobs/ltm-core-master-toolkit-nightly/workspace/label/master # timeout=10

Fetching upstream changes from https://projects.cit-ec.uni-bielefeld.de/git/ltm.ltm-core

 > git --version # timeout=10

 > git fetch --tags --progress https://projects.cit-ec.uni-bielefeld.de/git/ltm.ltm-core +refs/heads/*:refs/remotes/origin/*

 > git config remote.origin.url https://projects.cit-ec.uni-bielefeld.de/git/ltm.ltm-core # timeout=10

 > git config remote.origin.fetch +refs/heads/*:refs/remotes/origin/* # timeout=10

 > git config remote.origin.url https://projects.cit-ec.uni-bielefeld.de/git/ltm.ltm-core # timeout=10

Fetching upstream changes from https://projects.cit-ec.uni-bielefeld.de/git/ltm.ltm-core

 > git fetch --tags --progress https://projects.cit-ec.uni-bielefeld.de/git/ltm.ltm-core +refs/heads/*:refs/remotes/origin/*

Checking out Revision a5090ae67c70844c74cd96249860d866c975729a (origin/master)

 > git config core.sparsecheckout # timeout=10

 > git checkout -f a5090ae67c70844c74cd96249860d866c975729a # timeout=10

 > git branch -a # timeout=10

 > git rev-parse remotes/origin/master^{commit} # timeout=10

 > git checkout -b master a5090ae67c70844c74cd96249860d866c975729a

 > git rev-list a5090ae67c70844c74cd96249860d866c975729a # timeout=10

[master] $ /bin/sh -xe /tmp/hudson3623471065535742669.sh

+ find . -mindepth 1 -maxdepth 1 -not -name ltm-core-py -exec rm -rf {} ;

+ mktemp -d ./XXXXXXXX

+ temp=./NkH3v4S6

+ mv ltm-core-py ./NkH3v4S6/

+ find ./NkH3v4S6 -mindepth 2 -maxdepth 2 -exec mv {} . ;

+ rm -r ./NkH3v4S6
[master] $ /bin/sh -xe /tmp/hudson4739054377226438193.sh

+ PYTHON=python2.7

+ mkdir -p /media/local/nkoester/vol/csra/releases/nightly/lib/python2.7/site-packages/

+ export

+ python2.7 setup.py setopt -c install -o prefix -s /media/local/nkoester/vol/csra/releases/nightly

running setopt

Writing setup.cfg

+ python2.7 setup.py setopt -c install -o force -s true

running setopt

Writing setup.cfg

+ python2.7 setup.py install

running install

running bdist_egg

running egg_info

creating ltm_core_py.egg-info

writing requirements to ltm_core_py.egg-info/requires.txt

writing ltm_core_py.egg-info/PKG-INFO

writing top-level names to ltm_core_py.egg-info/top_level.txt

writing dependency_links to ltm_core_py.egg-info/dependency_links.txt

writing manifest file 'ltm_core_py.egg-info/SOURCES.txt'

reading manifest file 'ltm_core_py.egg-info/SOURCES.txt'

writing manifest file 'ltm_core_py.egg-info/SOURCES.txt'

installing library code to build/bdist.linux-x86_64/egg

running install_lib

running build_py

creating build

creating build/lib.linux-x86_64-2.7

creating build/lib.linux-x86_64-2.7/ltmcore

copying ltmcore/__init__.py -> build/lib.linux-x86_64-2.7/ltmcore

copying ltmcore/log_factory.py -> build/lib.linux-x86_64-2.7/ltmcore

copying ltmcore/startup_exception.py -> build/lib.linux-x86_64-2.7/ltmcore

copying ltmcore/ltm_runner.py -> build/lib.linux-x86_64-2.7/ltmcore

copying ltmcore/ltm_util.py -> build/lib.linux-x86_64-2.7/ltmcore

copying ltmcore/config_factory.py -> build/lib.linux-x86_64-2.7/ltmcore

creating build/lib.linux-x86_64-2.7/ltmcore/core

copying ltmcore/core/ltm_core.py -> build/lib.linux-x86_64-2.7/ltmcore/core

copying ltmcore/core/__init__.py -> build/lib.linux-x86_64-2.7/ltmcore/core

creating build/lib.linux-x86_64-2.7/ltmcore/persistancy

copying ltmcore/persistancy/persistancy_handler.py -> build/lib.linux-x86_64-2.7/ltmcore/persistancy

copying ltmcore/persistancy/__init__.py -> build/lib.linux-x86_64-2.7/ltmcore/persistancy

copying ltmcore/persistancy/database_manager.py -> build/lib.linux-x86_64-2.7/ltmcore/persistancy

copying ltmcore/persistancy/query_manager.py -> build/lib.linux-x86_64-2.7/ltmcore/persistancy

creating build/lib.linux-x86_64-2.7/ltmcore/communications

copying ltmcore/communications/__init__.py -> build/lib.linux-x86_64-2.7/ltmcore/communications

copying ltmcore/communications/communication_manager.py -> build/lib.linux-x86_64-2.7/ltmcore/communications

creating build/lib.linux-x86_64-2.7/ltmcore/persistancy/mongodb

copying ltmcore/persistancy/mongodb/mongo_handler_old.py -> build/lib.linux-x86_64-2.7/ltmcore/persistancy/mongodb

copying ltmcore/persistancy/mongodb/__init__.py -> build/lib.linux-x86_64-2.7/ltmcore/persistancy/mongodb

copying ltmcore/persistancy/mongodb/mongodb_handler.py -> build/lib.linux-x86_64-2.7/ltmcore/persistancy/mongodb

creating build/lib.linux-x86_64-2.7/ltmcore/persistancy/neo4j

copying ltmcore/persistancy/neo4j/__init__.py -> build/lib.linux-x86_64-2.7/ltmcore/persistancy/neo4j

copying ltmcore/persistancy/neo4j/neo4j_handler.py -> build/lib.linux-x86_64-2.7/ltmcore/persistancy/neo4j

creating build/lib.linux-x86_64-2.7/ltmcore/communications/middleware

copying ltmcore/communications/middleware/__init__.py -> build/lib.linux-x86_64-2.7/ltmcore/communications/middleware

creating build/lib.linux-x86_64-2.7/ltmcore/communications/middleware/rsb

copying ltmcore/communications/middleware/rsb/rsb_connector.py ->

 build/lib.linux-x86_64-2.7/ltmcore/communications/middleware/rsb

copying ltmcore/communications/middleware/rsb/rsb_event_de_encoder.py ->

 build/lib.linux-x86_64-2.7/ltmcore/communications/middleware/rsb

copying ltmcore/communications/middleware/rsb/__init__.py -> build/lib.linux-x86_64-2.7/ltmcore/communications/middleware/rsb

copying ltmcore/communications/middleware/rsb/mp_rsb_listener.py ->

 build/lib.linux-x86_64-2.7/ltmcore/communications/middleware/rsb

creating build/bdist.linux-x86_64
creating build/bdist.linux-x86_64/egg

creating build/bdist.linux-x86_64/egg/ltmcore

copying build/lib.linux-x86_64-2.7/ltmcore/__init__.py -> build/bdist.linux-x86_64/egg/ltmcore

copying build/lib.linux-x86_64-2.7/ltmcore/log_factory.py -> build/bdist.linux-x86_64/egg/ltmcore

creating build/bdist.linux-x86_64/egg/ltmcore/core

copying build/lib.linux-x86_64-2.7/ltmcore/core/ltm_core.py -> build/bdist.linux-x86_64/egg/ltmcore/core

copying build/lib.linux-x86_64-2.7/ltmcore/core/__init__.py -> build/bdist.linux-x86_64/egg/ltmcore/core

copying build/lib.linux-x86_64-2.7/ltmcore/startup_exception.py -> build/bdist.linux-x86_64/egg/ltmcore

copying build/lib.linux-x86_64-2.7/ltmcore/ltm_runner.py -> build/bdist.linux-x86_64/egg/ltmcore

copying build/lib.linux-x86_64-2.7/ltmcore/ltm_util.py -> build/bdist.linux-x86_64/egg/ltmcore

copying build/lib.linux-x86_64-2.7/ltmcore/config_factory.py -> build/bdist.linux-x86_64/egg/ltmcore

creating build/bdist.linux-x86_64/egg/ltmcore/persistancy

creating build/bdist.linux-x86_64/egg/ltmcore/persistancy/mongodb

copying build/lib.linux-x86_64-2.7/ltmcore/persistancy/mongodb/mongo_handler_old.py ->

 build/bdist.linux-x86_64/egg/ltmcore/persistancy/mongodb

copying build/lib.linux-x86_64-2.7/ltmcore/persistancy/mongodb/__init__.py ->

 build/bdist.linux-x86_64/egg/ltmcore/persistancy/mongodb

copying build/lib.linux-x86_64-2.7/ltmcore/persistancy/mongodb/mongodb_handler.py ->

 build/bdist.linux-x86_64/egg/ltmcore/persistancy/mongodb

copying build/lib.linux-x86_64-2.7/ltmcore/persistancy/persistancy_handler.py -> build/bdist.linux-x86_64/egg/ltmcore/persistancy

copying build/lib.linux-x86_64-2.7/ltmcore/persistancy/__init__.py -> build/bdist.linux-x86_64/egg/ltmcore/persistancy

copying build/lib.linux-x86_64-2.7/ltmcore/persistancy/database_manager.py -> build/bdist.linux-x86_64/egg/ltmcore/persistancy

copying build/lib.linux-x86_64-2.7/ltmcore/persistancy/query_manager.py -> build/bdist.linux-x86_64/egg/ltmcore/persistancy

creating build/bdist.linux-x86_64/egg/ltmcore/persistancy/neo4j

copying build/lib.linux-x86_64-2.7/ltmcore/persistancy/neo4j/__init__.py -> build/bdist.linux-x86_64/egg/ltmcore/persistancy/neo4j

copying build/lib.linux-x86_64-2.7/ltmcore/persistancy/neo4j/neo4j_handler.py ->

 build/bdist.linux-x86_64/egg/ltmcore/persistancy/neo4j

creating build/bdist.linux-x86_64/egg/ltmcore/communications

copying build/lib.linux-x86_64-2.7/ltmcore/communications/__init__.py -> build/bdist.linux-x86_64/egg/ltmcore/communications

creating build/bdist.linux-x86_64/egg/ltmcore/communications/middleware

copying build/lib.linux-x86_64-2.7/ltmcore/communications/middleware/__init__.py ->

 build/bdist.linux-x86_64/egg/ltmcore/communications/middleware

creating build/bdist.linux-x86_64/egg/ltmcore/communications/middleware/rsb

copying build/lib.linux-x86_64-2.7/ltmcore/communications/middleware/rsb/rsb_connector.py ->

 build/bdist.linux-x86_64/egg/ltmcore/communications/middleware/rsb

copying build/lib.linux-x86_64-2.7/ltmcore/communications/middleware/rsb/rsb_event_de_encoder.py ->

 build/bdist.linux-x86_64/egg/ltmcore/communications/middleware/rsb

copying build/lib.linux-x86_64-2.7/ltmcore/communications/middleware/rsb/__init__.py ->

 build/bdist.linux-x86_64/egg/ltmcore/communications/middleware/rsb

copying build/lib.linux-x86_64-2.7/ltmcore/communications/middleware/rsb/mp_rsb_listener.py ->

 build/bdist.linux-x86_64/egg/ltmcore/communications/middleware/rsb

copying build/lib.linux-x86_64-2.7/ltmcore/communications/communication_manager.py ->

 build/bdist.linux-x86_64/egg/ltmcore/communications

byte-compiling build/bdist.linux-x86_64/egg/ltmcore/__init__.py to __init__.pyc

byte-compiling build/bdist.linux-x86_64/egg/ltmcore/log_factory.py to log_factory.pyc

byte-compiling build/bdist.linux-x86_64/egg/ltmcore/core/ltm_core.py to ltm_core.pyc

byte-compiling build/bdist.linux-x86_64/egg/ltmcore/core/__init__.py to __init__.pyc

byte-compiling build/bdist.linux-x86_64/egg/ltmcore/startup_exception.py to startup_exception.pyc

byte-compiling build/bdist.linux-x86_64/egg/ltmcore/ltm_runner.py to ltm_runner.pyc

byte-compiling build/bdist.linux-x86_64/egg/ltmcore/ltm_util.py to ltm_util.pyc

byte-compiling build/bdist.linux-x86_64/egg/ltmcore/config_factory.py to config_factory.pyc

byte-compiling build/bdist.linux-x86_64/egg/ltmcore/persistancy/mongodb/mongo_handler_old.py to mongo_handler_old.pyc

byte-compiling build/bdist.linux-x86_64/egg/ltmcore/persistancy/mongodb/__init__.py to __init__.pyc

byte-compiling build/bdist.linux-x86_64/egg/ltmcore/persistancy/mongodb/mongodb_handler.py to mongodb_handler.pyc

byte-compiling build/bdist.linux-x86_64/egg/ltmcore/persistancy/persistancy_handler.py to persistancy_handler.pyc

byte-compiling build/bdist.linux-x86_64/egg/ltmcore/persistancy/__init__.py to __init__.pyc

byte-compiling build/bdist.linux-x86_64/egg/ltmcore/persistancy/database_manager.py to database_manager.pyc

byte-compiling build/bdist.linux-x86_64/egg/ltmcore/persistancy/query_manager.py to query_manager.pyc

byte-compiling build/bdist.linux-x86_64/egg/ltmcore/persistancy/neo4j/__init__.py to __init__.pyc

byte-compiling build/bdist.linux-x86_64/egg/ltmcore/persistancy/neo4j/neo4j_handler.py to neo4j_handler.pyc

byte-compiling build/bdist.linux-x86_64/egg/ltmcore/communications/__init__.py to __init__.pyc

byte-compiling build/bdist.linux-x86_64/egg/ltmcore/communications/middleware/__init__.py to __init__.pyc

byte-compiling build/bdist.linux-x86_64/egg/ltmcore/communications/middleware/rsb/rsb_connector.py to rsb_connector.pyc

byte-compiling build/bdist.linux-x86_64/egg/ltmcore/communications/middleware/rsb/rsb_event_de_encoder.py to

 rsb_event_de_encoder.pyc

byte-compiling build/bdist.linux-x86_64/egg/ltmcore/communications/middleware/rsb/__init__.py to __init__.pyc

byte-compiling build/bdist.linux-x86_64/egg/ltmcore/communications/middleware/rsb/mp_rsb_listener.py to mp_rsb_listener.pyc
byte-compiling build/bdist.linux-x86_64/egg/ltmcore/communications/communication_manager.py to communication_manager.pyc

creating build/bdist.linux-x86_64/egg/EGG-INFO

installing scripts to build/bdist.linux-x86_64/egg/EGG-INFO/scripts

running install_scripts

running build_scripts

creating build/scripts-2.7

copying and adjusting bin/ltm-core-py -> build/scripts-2.7

copying configuration/csra-plenary-demo.ini -> build/scripts-2.7

changing mode of build/scripts-2.7/ltm-core-py from 644 to 755

changing mode of build/scripts-2.7/csra-plenary-demo.ini from 644 to 755

creating build/bdist.linux-x86_64/egg/EGG-INFO/scripts

copying build/scripts-2.7/csra-plenary-demo.ini -> build/bdist.linux-x86_64/egg/EGG-INFO/scripts

copying build/scripts-2.7/ltm-core-py -> build/bdist.linux-x86_64/egg/EGG-INFO/scripts

changing mode of build/bdist.linux-x86_64/egg/EGG-INFO/scripts/csra-plenary-demo.ini to 755

changing mode of build/bdist.linux-x86_64/egg/EGG-INFO/scripts/ltm-core-py to 755

copying ltm_core_py.egg-info/PKG-INFO -> build/bdist.linux-x86_64/egg/EGG-INFO

copying ltm_core_py.egg-info/SOURCES.txt -> build/bdist.linux-x86_64/egg/EGG-INFO

copying ltm_core_py.egg-info/dependency_links.txt -> build/bdist.linux-x86_64/egg/EGG-INFO

copying ltm_core_py.egg-info/requires.txt -> build/bdist.linux-x86_64/egg/EGG-INFO

copying ltm_core_py.egg-info/top_level.txt -> build/bdist.linux-x86_64/egg/EGG-INFO

zip_safe flag not set; analyzing archive contents...

ltmcore.ltm_runner: module references __file__

creating dist

creating 'dist/ltm_core_py-0.0.1-py2.7.egg' and adding 'build/bdist.linux-x86_64/egg' to it

removing 'build/bdist.linux-x86_64/egg' (and everything under it)

Processing ltm_core_py-0.0.1-py2.7.egg

removing '/media/local/nkoester/vol/csra/releases/nightly/lib/python2.7/site-packages/ltm_core_py-0.0.1-py2.7.egg' (and everything

 under it)

creating /media/local/nkoester/vol/csra/releases/nightly/lib/python2.7/site-packages/ltm_core_py-0.0.1-py2.7.egg

Extracting ltm_core_py-0.0.1-py2.7.egg to /media/local/nkoester/vol/csra/releases/nightly/lib/python2.7/site-packages

ltm-core-py 0.0.1 is already the active version in easy-install.pth

Installing csra-plenary-demo.ini script to /media/local/nkoester/vol/csra/releases/nightly/bin

Installing ltm-core-py script to /media/local/nkoester/vol/csra/releases/nightly/bin

Installed /media/local/nkoester/vol/csra/releases/nightly/lib/python2.7/site-packages/ltm_core_py-0.0.1-py2.7.egg

Processing dependencies for ltm-core-py==0.0.1

Searching for py2neo==2.0

Best match: py2neo 2.0

Processing py2neo-2.0-py2.7-linux-x86_64.egg

py2neo 2.0 is already the active version in easy-install.pth

Installing neoget script to /media/local/nkoester/vol/csra/releases/nightly/bin

Installing geoff script to /media/local/nkoester/vol/csra/releases/nightly/bin

Installing cypher script to /media/local/nkoester/vol/csra/releases/nightly/bin

Installing neobox script to /media/local/nkoester/vol/csra/releases/nightly/bin

Using /media/local/nkoester/vol/csra/releases/nightly/lib/python2.7/site-packages/py2neo-2.0-py2.7-linux-x86_64.egg

Searching for Django==1.7.1

Best match: Django 1.7.1

Processing Django-1.7.1-py2.7.egg

Django 1.7.1 is already the active version in easy-install.pth

Installing django-admin.py script to /media/local/nkoester/vol/csra/releases/nightly/bin

Installing django-admin script to /media/local/nkoester/vol/csra/releases/nightly/bin

Using /media/local/nkoester/vol/csra/releases/nightly/lib/python2.7/site-packages/Django-1.7.1-py2.7.egg

Searching for pymongo==2.7.2

Best match: pymongo 2.7.2

Processing pymongo-2.7.2-py2.7-linux-x86_64.egg

pymongo 2.7.2 is already the active version in easy-install.pth

Using /media/local/nkoester/vol/csra/releases/nightly/lib/python2.7/site-packages/pymongo-2.7.2-py2.7-linux-x86_64.egg

Searching for termcolor==1.1.0

Best match: termcolor 1.1.0

Processing termcolor-1.1.0-py2.7.egg

termcolor 1.1.0 is already the active version in easy-install.pth

Using /media/local/nkoester/vol/csra/releases/nightly/lib/python2.7/site-packages/termcolor-1.1.0-py2.7.egg

Searching for rstconverters==0.11.0

2024-04-24 6/9



Best match: rstconverters 0.11.0

Processing rstconverters-0.11.0-py2.7-linux-x86_64.egg

rstconverters 0.11.0 is already the active version in easy-install.pth

Using /media/local/nkoester/vol/csra/releases/nightly/lib/python2.7/site-packages/rstconverters-0.11.0-py2.7-linux-x86_64.egg

Searching for rsb-python==0.11.0

Best match: rsb-python 0.11.0

Processing rsb_python-0.11.0-py2.7.egg

rsb-python 0.11.0 is already the active version in easy-install.pth

Using /media/local/nkoester/vol/csra/releases/nightly/lib/python2.7/site-packages/rsb_python-0.11.0-py2.7.egg

Searching for setuptools-lint==0.3

Best match: setuptools-lint 0.3

Processing setuptools_lint-0.3-py2.7.egg

setuptools-lint 0.3 is already the active version in easy-install.pth

Using /media/local/nkoester/vol/csra/releases/nightly/lib/python2.7/site-packages/setuptools_lint-0.3-py2.7.egg

Searching for pylint==1.3.1

Best match: pylint 1.3.1

Processing pylint-1.3.1-py2.7.egg

pylint 1.3.1 is already the active version in easy-install.pth

Installing pylint script to /media/local/nkoester/vol/csra/releases/nightly/bin

Installing pylint-gui script to /media/local/nkoester/vol/csra/releases/nightly/bin

Installing symilar script to /media/local/nkoester/vol/csra/releases/nightly/bin

Installing epylint script to /media/local/nkoester/vol/csra/releases/nightly/bin

Installing pyreverse script to /media/local/nkoester/vol/csra/releases/nightly/bin

Installing pylint script to /media/local/nkoester/vol/csra/releases/nightly/bin

Installing epylint script to /media/local/nkoester/vol/csra/releases/nightly/bin

Installing pyreverse script to /media/local/nkoester/vol/csra/releases/nightly/bin

Installing pylint-gui script to /media/local/nkoester/vol/csra/releases/nightly/bin

Installing symilar script to /media/local/nkoester/vol/csra/releases/nightly/bin

Using /media/local/nkoester/vol/csra/releases/nightly/lib/python2.7/site-packages/pylint-1.3.1-py2.7.egg

Searching for nosexcover==1.0.10

Best match: nosexcover 1.0.10

Processing nosexcover-1.0.10-py2.7.egg

nosexcover 1.0.10 is already the active version in easy-install.pth

Using /media/local/nkoester/vol/csra/releases/nightly/lib/python2.7/site-packages/nosexcover-1.0.10-py2.7.egg

Searching for coverage==4.0a1

Best match: coverage 4.0a1

Processing coverage-4.0a1-py2.7-linux-x86_64.egg

coverage 4.0a1 is already the active version in easy-install.pth

Installing coverage2 script to /media/local/nkoester/vol/csra/releases/nightly/bin

Installing coverage-2.7 script to /media/local/nkoester/vol/csra/releases/nightly/bin

Installing coverage script to /media/local/nkoester/vol/csra/releases/nightly/bin

Using /media/local/nkoester/vol/csra/releases/nightly/lib/python2.7/site-packages/coverage-4.0a1-py2.7-linux-x86_64.egg

Searching for nose==1.3.1

Best match: nose 1.3.1

Removing nose 1.2.1 from easy-install.pth file

nose 1.3.1 is already the active version in easy-install.pth

Installing nosetests script to /media/local/nkoester/vol/csra/releases/nightly/bin

Installing nosetests-2.7 script to /media/local/nkoester/vol/csra/releases/nightly/bin

Using /usr/lib/python2.7/dist-packages

Searching for restlib==0.9

Best match: restlib 0.9

Processing restlib-0.9-py2.7.egg

restlib 0.9 is already the active version in easy-install.pth

Using /media/local/nkoester/vol/csra/releases/nightly/lib/python2.7/site-packages/restlib-0.9-py2.7.egg

Searching for suds==0.4

Best match: suds 0.4

Processing suds-0.4-py2.7.egg

suds 0.4 is already the active version in easy-install.pth
Using /media/local/nkoester/vol/csra/releases/nightly/lib/python2.7/site-packages/suds-0.4-py2.7.egg

Searching for Louie==1.1

Best match: Louie 1.1

Processing Louie-1.1-py2.7.egg

Louie 1.1 is already the active version in easy-install.pth

Using /media/local/nkoester/vol/csra/releases/nightly/lib/python2.7/site-packages/Louie-1.1-py2.7.egg

Searching for rst==0.11.0

Best match: rst 0.11.0

Processing rst-0.11.0-py2.7.egg

rst 0.11.0 is already the active version in easy-install.pth

Using /media/local/nkoester/vol/csra/releases/nightly/lib/python2.7/site-packages/rst-0.11.0-py2.7.egg

Searching for protobuf==2.5.0

Best match: protobuf 2.5.0

protobuf 2.5.0 is already the active version in easy-install.pth

Using /usr/lib/python2.7/dist-packages

Searching for astroid==1.2.1

Best match: astroid 1.2.1

Processing astroid-1.2.1-py2.7.egg

astroid 1.2.1 is already the active version in easy-install.pth

Using /media/local/nkoester/vol/csra/releases/nightly/lib/python2.7/site-packages/astroid-1.2.1-py2.7.egg

Searching for logilab-common==0.63.0

Best match: logilab-common 0.63.0

Processing logilab_common-0.63.0-py2.7.egg

logilab-common 0.63.0 is already the active version in easy-install.pth

Installing pytest script to /media/local/nkoester/vol/csra/releases/nightly/bin

Using /media/local/nkoester/vol/csra/releases/nightly/lib/python2.7/site-packages/logilab_common-0.63.0-py2.7.egg

Searching for six==1.5.2

Best match: six 1.5.2

six 1.5.2 is already the active version in easy-install.pth

Using /usr/lib/python2.7/dist-packages

Finished processing dependencies for ltm-core-py==0.0.1

Finished: SUCCESS

Thanks in advance <3

Associated revisions

Revision 3e408be5 - 2014-12-01 17:17 - Jan Moringen

Improved builder ordering in templates/*{tookit,maven}.template

refs #333, refs #307, refs #344

templates/T001-toolkit.template: pre-build-hook before <all> and

before git

templates/T200-maven.template: maven.prepare-version before maven;

maven.deploy-dependencies after maven

History

#1 - 2014-11-21 16:42 - Jan Moringen

- Category changed from distinstaller to build-generator
The problem is that the generated has two shell fragments:

1. sub-directory handling

2. Maven installation shell stuff

Producing an ordering for these two and the Maven aspect is not possible with the current generator.

#2 - 2014-11-21 16:45 - Jan Moringen

Thanks for the detailed and well written report, btw.

#3 - 2014-11-23 15:07 - Florian Lier

- File wrong_order_git_maven.png added

If it helps, here is a screenshot of the (already manually corrected) jenkins job.

If you create a maven based project with the build-gen (v .37) the "find and move" part was actually after the maven (build, deploy, assemble ...) part.

So maven could not find the POM.xml.

#4 - 2014-11-26 14:28 - Florian Lier

- Status changed from New to Feedback

#5 - 2014-12-19 12:17 - Florian Lier

- Status changed from Feedback to Resolved

Files

wrong_order_git_maven.png 67.138 KB 2014-11-23 Florian Lier
